Skip to main content
GET
/
v1
/
video
/
clips
/
{jobId}
Get clip job
curl --request GET \
  --url https://api.usenaive.ai/v1/video/clips/{jobId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "type": "<string>",
  "progress": 123,
  "model": "<string>",
  "input": {},
  "result": {},
  "error": "<string>",
  "credits_used": 123,
  "fal_request_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Path Parameters

jobId
string
required

Response

OK.

id
string
type
string
status
enum<string>
Available options:
queued,
processing,
completed,
failed,
cancelled
progress
number | null
model
string | null
input
object
result
object
error
string | null
credits_used
number | null
fal_request_id
string | null
created_at
string<date-time>
started_at
string<date-time> | null
completed_at
string<date-time> | null
metadata
object